const formatQueryParams = paramsString => {
  if (!paramsString) {
    return {};
  }

  const params = paramsString.split('&');

  const formattedParams = params.reduce((acc, currentParam) => {
    const [paramKey, value] = currentParam.split('=');

    return {
      ...acc,
      [paramKey]: value
    };
  }, {});

  return formattedParams;
};
const parseURL = url => {
  const [pathname, params] = url.split('?');
  const formattedParams = formatQueryParams(params);

  return {
    pathname,
    params: formattedParams,
  };
};


module.exports = parseURL;
